Name:		potrace
Version:	1.8
Release:	4%{?dist}
Summary:	Transform bitmaps into vector graphics
Group:		Applications/Multimedia
# README defines license as GPLv2+
License:	GPLv2+
URL:		http://potrace.sourceforge.net
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

# Documentation
Source1:	http://potrace.sourceforge.net/potrace.pdf
Source2:	http://potrace.sourceforge.net/potracelib.pdf

# Patch to build library
Patch0:		potrace-1.8-buildlib.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	automake
BuildRequires:	zlib-devel

%description
Potrace is a utility for tracing a bitmap, which means, transforming a bitmap 
into a smooth, scalable image. The input is a bitmap (PBM, PGM, PPM, or BMP
format), and the default output is an encapsulated PostScript file (EPS).
A typical use is to create EPS files from scanned data, such as company or
university logos, handwritten notes, etc. The resulting image is not "jaggy"
like a bitmap, but smooth. It can then be rendered at any resolution.

Potrace can currently produce the following output formats: EPS, PostScript,
PDF, SVG (scalable vector graphics), Xfig, Gimppath, and PGM (for easy
antialiasing). Additional backends might be added in the future.

Mkbitmap is a program distributed with Potrace which can be used to pre-process
the input for better tracing behavior on greyscale and color images.


%package devel
Summary:	Potrace development library & library demo
Group:		Applications/Multimedia
Provides:	%{name}-static = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the potrace development library & library demo.


%package doc
Summary:	Documentation on how to use the potrace library
Group:		Documentation
%if 0%{?fedora} > 10 || 0%{?rhel} > 5
BuildArch:	noarch
%endif

%description doc
This package contains documentation for the potrace algorithm and the potrace
library.

%prep
%setup -q
%patch0 -p 1 -b .orig
autoreconf
cp -a %{SOURCE1} .
cp -a %{SOURCE2} .

%build
%configure --enable-metric
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
install -D -p -m 644 src/potracelib.h %{buildroot}%{_includedir}/potracelib.h

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/potrace
%{_bindir}/mkbitmap
%{_mandir}/man1/potrace.1.*
%{_mandir}/man1/mkbitmap.1.*

%files devel
%defattr(-,root,root,-)
%{_bindir}/potracelib_demo
%{_libdir}/libpotrace.a
%{_includedir}/potracelib.h

%files doc
%defattr(-,root,root,-)
%doc potrace.pdf potracelib.pdf

%changelog
* Thu Aug 06 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.8-4
- Corrected license tag.

* Mon Aug 03 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.8-3
- Added missing BuildRequires.

* Mon Aug 03 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.8-2
- Adjusted descriptions as per review comments. 

* Mon Aug 03 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.8-1
- First release.
